CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
CommandMessengerTests.Acknowledge.CommandMessengerTest Class Reference

List of all members.

## Public Member Functions
void | Pause ()
void | ConnectSerial ()
void | DisconnectSerial ()
void | TestOpenConnection ()
void | TestCloseConnection ()
void | TestSendCommand ()
void | TestSendCommandWithAcknowledgement ()
void | TestSendCommandWithAcknowledgementByArduino ()
| Tests send command with acknowledgement by arduino.*.
void | TestSendCommandWithAcknowledgementByArduinoFinished (ReceivedCommand command)
void | WaitForAcknowledgementByEmbeddedFinished ()
void | TestSendFloatingPointData ()
Single | Randomize ()
## Static Public Member Functions
static bool | CompareSingles (Single input, Single output)

## Member Function Documentation

void CommandMessengerTests.Acknowledge.CommandMessengerTest.TestSendCommandWithAcknowledgementByArduino | ( |  | ) |

Tests send command with acknowledgement by arduino.*.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessengerTests/Tests/Acknowledge_2.cs